/*
 * EtherPix simulator
 *
 * Copyright 2017 Stefan Schuermans <stefan schuermans info>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3 of the License.
 *
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#include "mapping.h"

/// default constructor
Mapping::Mapping():
  m_base(1.0),
  m_factor(0.0),
  m_gamma(1.0)
{
}

/// constructor based on parameters
Mapping::Mapping(double base, double factor, double gamma):
  m_base(base),
  m_factor(factor),
  m_gamma(gamma)
{
}

